import type { PackedMessage, UnpackedMessageContext } from '../types';
import type { AgentMessage } from './AgentMessage';
import type { Verkey } from 'indy-sdk';
import { Wallet } from '../wallet/Wallet';
import { AgentConfig } from './AgentConfig';
export interface EnvelopeKeys {
    recipientKeys: Verkey[];
    routingKeys: Verkey[];
    senderKey: Verkey | null;
}
declare class EnvelopeService {
    private wallet;
    private logger;
    constructor(wallet: Wallet, agentConfig: AgentConfig);
    packMessage(payload: AgentMessage, keys: EnvelopeKeys): Promise<PackedMessage>;
    unpackMessage(packedMessage: PackedMessage): Promise<UnpackedMessageContext>;
}
export { EnvelopeService };
