import type { OutboundTransporter } from '../transport/OutboundTransporter';
import type { OutboundMessage, OutboundPackage } from '../types';
import type { EnvelopeKeys } from './EnvelopeService';
import { Logger } from '../logger';
import { MessageRepository } from '../storage/MessageRepository';
import { EnvelopeService } from './EnvelopeService';
import { TransportService } from './TransportService';
export declare class MessageSender {
    private envelopeService;
    private transportService;
    private messageRepository;
    private logger;
    private _outboundTransporter?;
    constructor(envelopeService: EnvelopeService, transportService: TransportService, messageRepository: MessageRepository, logger: Logger);
    setOutboundTransporter(outboundTransporter: OutboundTransporter): void;
    get outboundTransporter(): OutboundTransporter | undefined;
    packMessage(outboundMessage: OutboundMessage, keys: EnvelopeKeys): Promise<OutboundPackage>;
    sendMessage(outboundMessage: OutboundMessage | OutboundPackage): Promise<void>;
}
